Bug 214837 - textproc/hunspell: update to 1.5.3
Summary: textproc/hunspell: update to 1.5.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-office mailing list
URL: https://github.com/hunspell/hunspell/...
Keywords: patch
Depends on: 214843 214844 214845 214848 214849 214891
Blocks: 215714
  Show dependency treegraph
 
Reported: 2016-11-26 06:15 UTC by Jan Beich
Modified: 2017-01-02 17:26 UTC (History)
3 users (show)

See Also:
bapt: maintainer-feedback+
jbeich: exp-run?


Attachments
v0 (7.98 KB, patch)
2016-11-26 06:21 UTC, Jan Beich
no flags Details | Diff
v0.1 (30.31 KB, patch)
2016-11-26 07:58 UTC, Jan Beich
no flags Details | Diff
v0.2 (rebased against ports r427185) (29.71 KB, patch)
2016-11-27 01:07 UTC, Jan Beich
no flags Details | Diff
v0.3 (rebased against ports r427270) (29.71 KB, patch)
2016-11-27 19:27 UTC, Jan Beich
no flags Details | Diff
v0.4 (rebased against ports r427292) (30.56 KB, patch)
2016-11-28 09:42 UTC, Jan Beich
no flags Details | Diff
v0.4.1 (rebased against ports r427295) (33.69 KB, patch)
2016-11-28 11:18 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-11-26 06:15:45 UTC
Firefox 53 scheduled to arrive in 2017-04-18 is going to depend on Hunspell 1.5.0. Note, some headers are no longer packaged:

https://github.com/hunspell/hunspell/commit/99675e791d12
Comment 1 Jan Beich freebsd_committer 2016-11-26 06:21:10 UTC
Created attachment 177400 [details]
v0

poudriere bulk -t is green for 93i386, 93amd64, 101i386, 103amd64, 110i386. The following consumers are yet to be tested:

  devel/codeblocks
  devel/lokalize
  editors/codelite
  editors/focuswriter
  editors/focuswriter-qt4
  editors/libreoffice
  editors/libreoffice4
  editors/openoffice-4
  editors/openoffice-devel
  editors/tea
  editors/texmaker
  editors/texstudio
  editors/textroom
  editors/texworks
  german/hunspell
  korean/hunspell
  mail/thunderbird
  multimedia/aegisub
  net-im/licq-qt-gui
  print/lyx
  print/scribus
  textproc/enchant
  textproc/goldendict
  textproc/kf5-sonnet
  textproc/mythes
  textproc/sigil
  textproc/te-hunspell
  www/firefox
  www/firefox-esr
  www/libxul
  www/qupzilla-qt4
  www/qupzilla-qt5
  www/seamonkey
  x11/leechcraft
Comment 2 Jan Beich freebsd_committer 2016-11-26 07:58:01 UTC
Created attachment 177405 [details]
v0.1

- s/libhunspell-1.3/libhunspell-1.5/ in LIB_DEPENDS
- Bump PORTREVISION in consumers
Comment 3 commit-hook freebsd_committer 2016-11-26 08:10:08 UTC
A commit references this bug:

Author: jbeich
Date: Sat Nov 26 08:09:44 UTC 2016
New revision: 427132
URL: https://svnweb.freebsd.org/changeset/ports/427132

Log:
  textproc/enchant: unbreak with hunspell 1.5

  myspell_checker.cpp:430:8: error: cannot initialize a variable of type 'char *' with an rvalue of
        type 'const char *'
          char *enc = myspell->get_dic_encoding();
                ^     ~~~~~~~~~~~~~~~~~~~~~~~~~~~

  https://github.com/hunspell/hunspell/commit/971f8a9cf52e

  PR:		214837
  Approved by:	portmgr blanket

Changes:
  head/textproc/enchant/files/patch-src_myspell_myspell__checker.cpp
Comment 4 commit-hook freebsd_committer 2016-11-26 12:30:27 UTC
A commit references this bug:

Author: jbeich
Date: Sat Nov 26 12:30:04 UTC 2016
New revision: 427160
URL: https://svnweb.freebsd.org/changeset/ports/427160

Log:
  x11/leechcraft: unbreak with hunspell 1.5

  -- Could NOT find HUNSPELL (missing:  HUNSPELL_LIBRARIES)
  [...]
  CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
  Please set them or make sure they are set and tested correctly in the CMake files:
  HUNSPELL_LIBRARIES (ADVANCED)
      linked by target "leechcraft_rosenthal" in directory src/plugins/rosenthal

  PR:		214837
  Approved by:	portmgr blanket

Changes:
  head/x11/leechcraft/files/patch-plugins_rosenthal_cmake_FindHunspell.cmake
Comment 5 commit-hook freebsd_committer 2016-11-26 12:31:29 UTC
A commit references this bug:

Author: jbeich
Date: Sat Nov 26 12:30:31 UTC 2016
New revision: 427161
URL: https://svnweb.freebsd.org/changeset/ports/427161

Log:
  editors/codelite: unbreak with hunspell 1.5

      **
      ** NOTICE ** Could not locate libhunspell. SpellChecker plugin will not be build
      ** NOTICE ** Try installing libhunspell-dev package
      **
  [...]
  ===>  Building package for codelite-9.2_2
  pkg-static: Unable to access file ${STAGEDIR}${PREFIX}/lib/codelite/SpellCheck.so: No such file or directory
  pkg-static: DEVELOPER_MODE: Plist error, missing file: lib/codelite/SpellCheck.so
  pkg-static: Unable to access file ${STAGEDIR}${PREFIX}/share/codelite/dics/en_GB.aff: No such file or directory
  pkg-static: DEVELOPER_MODE: Plist error, missing file: share/codelite/dics/en_GB.aff
  pkg-static: Unable to access file ${STAGEDIR}${PREFIX}/share/codelite/dics/en_GB.dic: No such file or directory
  pkg-static: DEVELOPER_MODE: Plist error, missing file: share/codelite/dics/en_GB.dic
  pkg-static: Unable to access file ${STAGEDIR}${PREFIX}/share/codelite/dics/en_US.aff: No such file or directory
  pkg-static: DEVELOPER_MODE: Plist error, missing file: share/codelite/dics/en_US.aff
  pkg-static: Unable to access file ${STAGEDIR}${PREFIX}/share/codelite/dics/en_US.dic: No such file or directory
  pkg-static: DEVELOPER_MODE: Plist error, missing file: share/codelite/dics/en_US.dic
  *** Error code 1

  PR:		214837
  Approved by:	portmgr blanket

Changes:
  head/editors/codelite/files/
  head/editors/codelite/files/patch-SpellChecker_CMakeLists.txt
Comment 6 commit-hook freebsd_committer 2016-11-26 12:31:31 UTC
A commit references this bug:

Author: jbeich
Date: Sat Nov 26 12:30:54 UTC 2016
New revision: 427162
URL: https://svnweb.freebsd.org/changeset/ports/427162

Log:
  editors/tea: unbreak with hunspell 1.5

  spellchecker.cpp:339:12: error: assigning to 'char *' from incompatible type 'const char *'
    encoding = speller->get_dic_encoding();
             ^ ~~~~~~~~~~~~~~~~~~~~~~~~~~~

  https://github.com/hunspell/hunspell/commit/971f8a9cf52e

  PR:		214837
  Approved by:	portmgr blanket

Changes:
  head/editors/tea/files/
  head/editors/tea/files/patch-spellchecker.h
Comment 7 commit-hook freebsd_committer 2016-11-26 12:31:32 UTC
A commit references this bug:

Author: jbeich
Date: Sat Nov 26 12:31:16 UTC 2016
New revision: 427163
URL: https://svnweb.freebsd.org/changeset/ports/427163

Log:
  print/scribus: unbreak with hunspell 1.5

  -- Could NOT find HUNSPELL (missing:  HUNSPELL_LIBRARIES)
  HunSpell or its developer libraries NOT found - Disabling support for spell checking
  [...]
  ===> Checking for items in pkg-plist which are not in STAGEDIR
  Error: Missing: lib/scribus/plugins/libhunspellplugin.so

  scribus/plugins/tools/hunspellcheck/hunspelldict.cpp:22:9: error: cannot initialize a variable of type 'char *' with an rvalue of type 'const char *'
                  char* dictEncoding = m_hunspell->get_dic_encoding();
                        ^              ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  https://github.com/hunspell/hunspell/commit/971f8a9cf52e

  PR:		214837
  Approved by:	portmgr blanket

Changes:
  head/print/scribus/files/patch-cmake_modules_FindHUNSPELL.cmake
  head/print/scribus/files/patch-scribus_plugins_tools_hunspellcheck_hunspelldict.cpp
Comment 8 commit-hook freebsd_committer 2016-11-26 12:32:34 UTC
A commit references this bug:

Author: jbeich
Date: Sat Nov 26 12:31:38 UTC 2016
New revision: 427164
URL: https://svnweb.freebsd.org/changeset/ports/427164

Log:
  textproc/kf5-sonnet: unbreak with hunspell 1.5

  -- Could NOT find HUNSPELL (missing:  HUNSPELL_LIBRARIES)
  [...]
  -- The following OPTIONAL packages have not been found:
   * HUNSPELL , Spell checking support via Hunspell , <http://hunspell.sourceforge.net/>
  [...]
  ===> Checking for items in pkg-plist which are not in STAGEDIR
  Error: Missing: %%QT_PLUGINDIR%%/kf5/sonnet/hunspell.so

  PR:		214837
  Approved by:	portmgr blanket

Changes:
  head/textproc/kf5-sonnet/files/
  head/textproc/kf5-sonnet/files/patch-cmake_FindHUNSPELL.cmake
Comment 9 commit-hook freebsd_committer 2016-11-26 12:32:36 UTC
A commit references this bug:

Author: jbeich
Date: Sat Nov 26 12:32:02 UTC 2016
New revision: 427165
URL: https://svnweb.freebsd.org/changeset/ports/427165

Log:
  x11/kdelibs4: unbreak consumers with hunspell 1.5

  $ make -C devel/lokalize
  [...]
  -- Could NOT find HUNSPELL (missing:  HUNSPELL_LIBRARIES)
  CMake Error at /usr/local/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:148 (message):
    Could NOT find HUNSPELL (missing: HUNSPELL_LIBRARIES)
  Call Stack (most recent call first):
    /usr/local/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE)
    /usr/local/share/apps/cmake/modules/FindHUNSPELL.cmake:22 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
    src/CMakeLists.txt:4 (find_package)

  PR:		214837
  Approved by:	portmgr blanket

Changes:
  head/x11/kdelibs4/Makefile
  head/x11/kdelibs4/files/patch-cmake_modules_FindHUNSPELL.cmake
Comment 10 Jan Beich freebsd_committer 2016-11-26 13:06:56 UTC
My QA per comment 1 is complete. Trivial bustage is fixed, the rest has blocking bugs. Once very few or none remain an exp-run would be good for a finishing touch e.g., if more consumers appear by that time.
Comment 11 Jan Beich freebsd_committer 2016-11-27 01:07:46 UTC
Created attachment 177429 [details]
v0.2 (rebased against ports r427185)

- Drop unnecessary changes e.g., USES=autoreconf
Comment 12 Jan Beich freebsd_committer 2016-11-27 19:27:54 UTC
Created attachment 177458 [details]
v0.3 (rebased against ports r427270)

- Update to hunspell 1.5.1 which fixes compatibility with 1.4 API
Comment 13 Raphael Kubo da Costa freebsd_committer 2016-11-28 09:13:33 UTC
1.5.2 was released shortly after 1.5.1 with more API compatibility fixes -- the specific one that was addressed may fix editors/texmaker, but I'm fixing that port in a different way.
Comment 14 Jan Beich freebsd_committer 2016-11-28 09:42:01 UTC
Created attachment 177472 [details]
v0.4 (rebased against ports r427292)

- Dropped namespace pollution from csutil.hxx
- Skip to v1.5.2 to keep `const` at least for now
Comment 15 Jan Beich freebsd_committer 2016-11-28 09:46:26 UTC
poudriere bulk -tj 103amd64 is green for every direct consumer here. Can you check more?

  ### /usr/local/etc/poudriere.d/PR214837-make.conf ###
  OPTIONS_SET        += HUNSPELL
  editors_tea_UNSET  += ASPELL
  x11_leechcraft_SET += ROSENTHAL
Comment 16 Jan Beich freebsd_committer 2016-11-28 11:18:12 UTC
Created attachment 177479 [details]
v0.4.1 (rebased against ports r427295)

Update to 1.5.3 but add back `const` for get_dic_encoding(). Skipping more than one version ends up confusing.
Comment 17 Antoine Brodin freebsd_committer 2016-12-03 20:53:31 UTC
Exp-run looks fine
Comment 18 commit-hook freebsd_committer 2016-12-03 22:25:46 UTC
A commit references this bug:

Author: jbeich
Date: Sat Dec  3 22:24:40 UTC 2016
New revision: 427743
URL: https://svnweb.freebsd.org/changeset/ports/427743

Log:
  textproc/hunspell: update to 1.5.4

  Changes:	https://github.com/hunspell/hunspell/blob/v1.5.4/ChangeLog
  PR:		214837
  Exp-run by:	antoine (for 1.5.3)
  Approved by:	office (bapt)

Changes:
  head/Mk/bsd.gecko.mk
  head/devel/codeblocks/Makefile
  head/devel/lokalize/Makefile
  head/editors/codelite/Makefile
  head/editors/focuswriter/Makefile
  head/editors/libreoffice/Makefile
  head/editors/libreoffice/Makefile.common
  head/editors/libreoffice4/Makefile
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/editors/tea/Makefile
  head/editors/texmaker/Makefile
  head/editors/texstudio/Makefile
  head/editors/textroom/Makefile
  head/editors/texworks/Makefile
  head/german/hunspell/Makefile
  head/korean/hunspell/Makefile
  head/mail/thunderbird/Makefile
  head/multimedia/aegisub/Makefile
  head/net-im/licq-qt-gui/Makefile
  head/print/lyx/Makefile
  head/print/scribus/Makefile
  head/textproc/enchant/Makefile
  head/textproc/goldendict/Makefile
  head/textproc/hunspell/Makefile
  head/textproc/hunspell/distinfo
  head/textproc/hunspell/files/patch-add-const
  head/textproc/hunspell/files/patch-configure
  head/textproc/hunspell/files/patch-src_tools_hunspell.cxx
  head/textproc/hunspell/pkg-descr
  head/textproc/hunspell/pkg-plist
  head/textproc/kf5-sonnet/Makefile
  head/textproc/mythes/Makefile
  head/textproc/sigil/Makefile
  head/textproc/te-hunspell/Makefile
  head/www/firefox/Makefile
  head/www/firefox-esr/Makefile
  head/www/libxul/Makefile
  head/www/qupzilla-qt4/Makefile
  head/www/qupzilla-qt5/Makefile
  head/www/seamonkey/Makefile
  head/x11/leechcraft/Makefile